Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.attribute
Class CurrentCRLInfo

`java.lang.Object
oracle.security.crypto.cert.AttributeTypeAndValue
oracle.security.crypto.cmp.attribute.InfoTypeAndValue
oracle.security.crypto.cmp.attribute.CurrentCRLInfo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CurrentCRLInfo
extends InfoTypeAndValue

Information type used by the client to get a copy of the latest CRL.

Field Summary

Fields inherited from class oracle.security.crypto.cmp.attribute.InfoTypeAndValue
`decoded, encoded`

Constructor Summary
`CurrentCRLInfo()`
`CurrentCRLInfo(oracle.security.crypto.cert.CRL crl)`
`CurrentCRLInfo(java.io.InputStream is)`

Method Summary
`protected void` | `decodeValue()` Decodes the baseclass' `ASN1Object` value to populate this control's fields.
`protected void` | `encodeValue()` Encodes this control's fields as an `ASN1Object` for the baseclass.
`oracle.security.crypto.cert.CRL` | `getCRL()`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.attribute.InfoTypeAndValue
`getType, getValue, input, inputInstance, length, output, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CurrentCRLInfo

    public CurrentCRLInfo()

### CurrentCRLInfo

    public CurrentCRLInfo(oracle.security.crypto.cert.CRL crl)

### CurrentCRLInfo

    public CurrentCRLInfo(java.io.InputStream is)
                   throws java.io.IOException

Method Detail

### getCRL

    public oracle.security.crypto.cert.CRL getCRL()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `InfoTypeAndValue`

### encodeValue

    protected void encodeValue()

  Description copied from class: `InfoTypeAndValue`
  Encodes this control's fields as an `ASN1Object` for the baseclass.

  Subclasses must override this method to properly test and set the `InfoTypeAndValue.encoded` field, and invoke the superclass `InfoTypeAndValue.setValue(oracle.security.crypto.asn1.ASN1Object)` method to set the encoded structure.

  Overrides:
    `encodeValue` in class `InfoTypeAndValue`

### decodeValue

    protected void decodeValue()

  Description copied from class: `InfoTypeAndValue`
  Decodes the baseclass' `ASN1Object` value to populate this control's fields.

  Subclasses must override this method to invoke the `InfoTypeAndValue.getValue()` method to get the structure to decode, and properly test and set the `InfoTypeAndValue.decoded` field.

  Overrides:
    `decodeValue` in class `InfoTypeAndValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.